#
# spec file for package fpac (Version 3.25)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  libax25

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libax25 libtool perl rpm

Name:         fpac
License:      GPL
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      3.25
Release:      179
Summary:      Applications dedicated to FPAC X25 node
Source:       ftp://ftp.f6fbb.org/pub/f6fbb/distrib/fpac-linux/kernel-2.2/fpac325.tar.bz2
Patch:        fpac325.dif
Patch1:       fpac325.sparc.dif
URL:          http://www.f6fbb.org/fpac/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
The Linux Operating System has a kernel built-in protocol named ROSE.
FPAC is a set of tools to configure and interface ROSE/X.25 L3 layer.



Authors:
--------
    Jean-Paul Roubelat, F6FBB < jpr@f6fbb.org>

%debug_package
%prep
%setup -q -n fpac325
%patch
%ifarch sparc sparcv9 sparc64 ppc ppc64 s390 s390x
%patch1
%endif

%build
make OPTFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -g bin -o bin -m 755 fpac.sh $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/etc/ax25
install -d $RPM_BUILD_ROOT/usr/lib/fpac
install -m 644 -o root -g root etc/fpac.{conf,dnic,info} $RPM_BUILD_ROOT/etc/ax25/
install -d -m 755 -o root -g root $RPM_BUILD_ROOT/etc/ax25/fpac
install -d -m 755 -o root -g root $RPM_BUILD_ROOT/etc/ax25/fpac/help
install -m 644 -o root -g root fpac/help/* $RPM_BUILD_ROOT/etc/ax25/fpac/help/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/*
%dir /usr/lib/fpac
%dir /etc/ax25/fpac
%config(noreplace) /etc/ax25/fpac.conf
%config(noreplace) /etc/ax25/fpac.dnic
%config(noreplace) /etc/ax25/fpac.info
/etc/ax25/fpac/help/
/usr/sbin/*

%changelog -n fpac
* Tue Apr 27 2004 - ro@suse.de
- add -fno-strict-aliasing
* Tue Sep 16 2003 - uli@suse.de
- enable "sparc" patch for s390* as well
- disable installation of the binary that does not get built
  as well
* Fri Dec 06 2002 - jreuter@suse.de
- upgrade to version 3.25
- adjustment of patches for new version
* Tue Jul 02 2002 - meissner@suse.de
- ppc64 fixes, some cleanups.
* Fri Feb 15 2002 - ro@suse.de
- use user-space includes
* Wed Oct 17 2001 - ro@suse.de
- don't build "remote" on ppc either
* Mon Feb 19 2001 - kukuk@suse.de
- Fix compilation on SPARC (disable "remote" tool)
* Wed Feb 14 2001 - schwab@suse.de
- Fix compilation of shared library.
- Don't include kernel header.
- Fix missing <time.h> include.
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Mon Jun 05 2000 - bubnikv@suse.cz
- added home page URL
* Fri May 12 2000 - bubnikv@suse.cz
- added buildroot
- added url
* Tue Nov 30 1999 - ka@suse.de
- changed path of binary directory from /usr/lib/fpac/bin to
  /usr/sbin
- added fpac.sh to %%files list
- changes were made after suggestion from Jean-Paul, F6FBB
* Thu Oct 28 1999 - ka@suse.de
- initial release
